[tor-commits] [tor-browser-bundle/master] Place the bundle results in their own subdir and hash the results.

mikeperry at torproject.org mikeperry at torproject.org
Sat Jun 29 03:58:15 UTC 2013


commit b99768d31aea66a5d5e9d780052421b1a5b08347
Author: Mike Perry <mikeperry-git at torproject.org>
Date:   Fri Jun 28 20:54:25 2013 -0700

    Place the bundle results in their own subdir and hash the results.
---
 gitian/Makefile            |    1 +
 gitian/hash-bundles.sh     |   14 ++++++++++++++
 gitian/mkbundle-linux.sh   |    3 ++-
 gitian/mkbundle-mac.sh     |    3 ++-
 gitian/mkbundle-windows.sh |    3 ++-
 5 files changed, 21 insertions(+), 3 deletions(-)

diff --git a/gitian/Makefile b/gitian/Makefile
index fd73651..223366f 100644
--- a/gitian/Makefile
+++ b/gitian/Makefile
@@ -4,6 +4,7 @@ build:
 	./mkbundle-linux.sh
 	./mkbundle-windows.sh
 	./mkbundle-mac.sh
+	./hash-bundles.sh
 
 prep:
 	./check-prerequisites.sh
diff --git a/gitian/hash-bundles.sh b/gitian/hash-bundles.sh
new file mode 100755
index 0000000..2316182
--- /dev/null
+++ b/gitian/hash-bundles.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+#
+
+. ./versions
+
+export LC_ALL=C
+
+cd $TORBROWSER_VERSION
+rm -f sha256sums.txt
+sha256sum `ls -1 | sort` > sha256sums.txt
+
+echo
+echo "If this is an official build, you should now sign your result with: "
+echo "  cd $TORBROWSER_VERSION && gpg -abs sha256sums.txt"
diff --git a/gitian/mkbundle-linux.sh b/gitian/mkbundle-linux.sh
index 4825a94..461d95d 100755
--- a/gitian/mkbundle-linux.sh
+++ b/gitian/mkbundle-linux.sh
@@ -156,7 +156,8 @@ then
     exit 1
   fi
   
-  cp -a build/out/tor-browser-linux*xz* $WRAPPER_DIR || exit 1
+  mkdir -p $WRAPPER_DIR/$TORBROWSER_VERSION/
+  cp -a build/out/tor-browser-linux*xz* $WRAPPER_DIR/$TORBROWSER_VERSION/ || exit 1
   touch $GITIAN_DIR/inputs/bundle-linux.gbuilt
 else
   echo 
diff --git a/gitian/mkbundle-mac.sh b/gitian/mkbundle-mac.sh
index 62d044e..307f7ff 100755
--- a/gitian/mkbundle-mac.sh
+++ b/gitian/mkbundle-mac.sh
@@ -139,7 +139,8 @@ then
   fi
   
   #cp -a build/out/*.dmg $WRAPPER_DIR
-  cp -a build/out/*.zip $WRAPPER_DIR || exit 1
+  mkdir -p $WRAPPER_DIR/$TORBROWSER_VERSION/
+  cp -a build/out/*.zip $WRAPPER_DIR/$TORBROWSER_VERSION/ || exit 1
   touch $GITIAN_DIR/inputs/bundle-mac.gbuilt
 else
   echo 
diff --git a/gitian/mkbundle-windows.sh b/gitian/mkbundle-windows.sh
index 33d23fe..91708e1 100755
--- a/gitian/mkbundle-windows.sh
+++ b/gitian/mkbundle-windows.sh
@@ -137,7 +137,8 @@ then
     exit 1
   fi
   
-  cp -a build/out/*.exe $WRAPPER_DIR || exit 1
+  mkdir -p $WRAPPER_DIR/$TORBROWSER_VERSION/
+  cp -a build/out/*.exe $WRAPPER_DIR/$TORBROWSER_VERSION/ || exit 1
   touch $GITIAN_DIR/inputs/bundle-windows.gbuilt
 else
   echo 



More information about the tor-commits mailing list